Loading...
Searching...
No Matches
L4::Ipc::Small_buf Class Reference

A receive item for receiving a single object capability. More...

`#include <ipc_types>`

Collaboration diagram for L4::Ipc::Small_buf:

## Public Member Functions

| Small_buf (L4::Cap< void > cap, unsigned long flags=0) noexcept
| Create a receive item from a C++ cap.
| Small_buf (l4_cap_idx_t cap, unsigned long flags=0) noexcept
| Create a receive item from a C cap.
l4_umword_t | raw () const noexcept
| Return the raw data.

## Detailed Description

A receive item for receiving a single object capability.

This class is the main abstraction for receiving object capabilities via Ipc::Istream. To receive an object capability, an instance of Small_buf that refers to an empty capability slot must be inserted into the Ipc::Istream before the receive operation.

Definition at line 257 of file ipc_types.

## Constructor & Destructor Documentation

## Small_buf() [1/2]

L4::Ipc::Small_buf::Small_buf | ( | L4::Cap< void > | cap,
|  | unsigned long | flags = 0 )

inlineexplicitnoexcept

Create a receive item from a C++ cap.

Parameters

  cap | Capability slot where to save the capability.
  flags | Receive buffer flags, see l4_msg_item_consts_t. L4_RCV_ITEM_SINGLE_CAP will always be set.

Definition at line 267 of file ipc_types.

References L4_RCV_ITEM_SINGLE_CAP.

## Small_buf() [2/2]

L4::Ipc::Small_buf::Small_buf | ( | l4_cap_idx_t | cap,
|  | unsigned long | flags = 0 )

inlineexplicitnoexcept

Create a receive item from a C cap.

Parameters

  cap | Capability slot where to save the capability.
  flags | Receive buffer flags, see l4_msg_item_consts_t. L4_RCV_ITEM_SINGLE_CAP will always be set.

Definition at line 274 of file ipc_types.

References L4_RCV_ITEM_SINGLE_CAP.

The documentation for this class was generated from the following file:

- l4/sys/cxx/ipc_types